Bug 71745 - kernel LDD 139 rpmbuild error prevents binary generation
Summary: kernel LDD 139 rpmbuild error prevents binary generation
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-17 19:40 UTC by R P Herrold
Modified: 2015-01-04 22:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-30 03:30:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2002-08-17 19:40:45 UTC
Checked prior filings -- this is with kernel-2.4.18-12.src.rpm  from RawHide
last night

... normal build to this point snipped ... I have marked the interionr error
message with a line of "****************"

+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd kernel-2.4.18
+ DOCDIR=/var/tmp/kernel-2.4.18-12-root/usr/share/doc/kernel-doc-2.4.18
+ export DOCDIR
+ rm -rf /var/tmp/kernel-2.4.18-12-root/usr/share/doc/kernel-doc-2.4.18
+ /bin/mkdir -p /var/tmp/kernel-2.4.18-12-root/usr/share/doc/kernel-doc-2.4.18
+ cp -pr linux/Documentation/00-INDEX linux/Documentation/abi <snip>
linux/Documentation/arm linux/Documentation/binfmt_misc.txt 
linux/Documentation/xterm-linux.xpm linux/Documentation/zorro.txt
/var/tmp/kernel-2.4.18-12-root/usr/share/doc/kernel-doc-2.4.18
+ exit 0
Finding  Provides: (using /usr/lib/rpm/find-provides)...
Finding  Requires: (using /usr/lib/rpm/find-requires)...
PreReq: rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <=
3.0.4-1
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Processing files: kernel-BOOT-2.4.18-12
Finding  Provides: (using /usr/lib/rpm/find-provides)...
Finding  Requires: (using /usr/lib/rpm/find-requires)...
*********************** here

ldd: /lib/ld-linux.so.2 exited with unknown exit code (139)

*********************** here 
Provides: kernel = 2.4.18
PreReq: rpmlib(VersionedDependencies) <= 3.0.3-1 fileutils modutils >= 2.4.18
/bin/sh /bin/sh rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(interp): /bin/sh /bin/sh /bin/sh
Requires(rpmlib): rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(post): /bin/sh
Requires(preun): /bin/sh
Requires: /bin/sh
Conflicts: ppp <= 2.3.15 pcmcia-cs <= 3.1.20 isdn4k-utils <= 3.0 mount < 2.10r-5
nfs-utils < 0.3.1 cipe < 1.4.5 tux < 2.1.0 kudzu <= 0.92 e2fsprogs < 1.22
initscripts < 6.41 dev < 3.2-7 iptables < 1.2.5-3 bcm5820 < 1.81 nvidia-rh72 <=
1.0
Wrote: /usr/src/redhat/SRPMS/kernel-2.4.18-12.src.rpm
Wrote: /usr/src/redhat/RPMS/i386/kernel-source-2.4.18-12.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/kernel-doc-2.4.18-12.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/kernel-BOOT-2.4.18-12.i386.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.37808
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd kernel-2.4.18
+ rm -rf /var/tmp/kernel-2.4.18-12-root
+ exit 0
[root@couch root]# ls /usr/src/redhat/RPMS/i386/
graphviz-1.7.14-1.i386.rpm             SDL-devel-1.2.4-1.i386.rpm
gstreamer-0.3.4-1.i386.rpm             SDL_mixer-1.2.4-1.i386.rpm
gstreamer-devel-0.3.4-1.i386.rpm       SDL_mixer-devel-1.2.4-1.i386.rpm
kernel-BOOT-2.4.18-12.i386.rpm         SDL_perl-1.18.5-1.i386.rpm
kernel-doc-2.4.18-12.i386.rpm          sendip-2.1-1.i386.rpm
kernel-source-2.4.18-12.i386.rpm       sendmail-devel-8.12.4-1.i386.rpm
modutils-2.4.18-2.i386.rpm             ser2net-1.6-1.i386.rpm
modutils-devel-2.4.18-2.i386.rpm       sredird-1.1.8-1.i386.rpm
nethack-falconseye-1.9.3-0.1.i386.rpm  wireless-tools-24-2.i386.rpm
perl-Text-CSV-0.01-1.i386.rpm          xfce-3.8.16-1.i386.rpm
radiusd-cistron-1.6.5-3.i386.rpm       xinetd-2.3.5-3.i386.rpm
SDL-1.2.4-1.i386.rpm
[root@couch root]# ls /usr/src/redhat/RPMS/i586/
[root@couch root]# rpm -qi kernel


Note You need to log in before you can comment on or make changes to this bug.